### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-timeline/ecl-timeline.component.ts`

### Implements

`OnInit` `AfterContentInit`

### Metadata

selector | `ecl-timeline`
styles | `:host { display: block; }`
templateUrl | `ecl-timeline.component.html`

### Index

###### Properties
timelineItems
###### Inputs
styleClass
###### HostBindings
attr.role class

### Inputs

styleClass
Type : `string`

### HostBindings

attr.role
Default value : `'list'`

class
Type : `any`

### Properties

timelineItems
Type : `QueryList<EclTimelineItemComponent>`
Decorators : `@ContentChildren(undefined)`

# result-matching ""

# No results matching ""